CRYPTO_AHASH_DIGEST(9)

NAME
crypto_ahash_digest - calculate message digest for a buffer

SYNOPSIS

int crypto_ahash_digest(struct ahash_request * req);

ARGUMENTS

req
    reference to the ahash_request handle that holds all information needed to perform the cipher operation

DESCRIPTION

This function is a “short-hand” for the function calls of crypto_ahash_init, crypto_ahash_update and crypto_ahash_final. The parameters have the same meaning as discussed for those separate three functions.

RETURN

0 if the message digest creation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT